Class | Sequel::Informix::Database
In: | lib/sequel/adapters/informix.rb
Parent: | Sequel::Database

### Methods

connect do execute execute_dui query

### Included Modules

DatabaseMethods

### Public Instance methods

connect(server)

[Source]

        # File lib/sequel/adapters/informix.rb, line 11
    11:       def connect(server)
    12:         opts = server_opts(server)
    13:         ::Informix.connect(opts[:database], opts[:user], opts[:password])
    14:       end

do(sql, opts={})

Alias for execute_dui

execute(sql, opts={}) {|log_yield(sql){c.cursor(sql)}}| ...}

[Source]

        # File lib/sequel/adapters/informix.rb, line 22
    22:       def execute(sql, opts={})
    23:         synchronize(opts[:server]){|c| yield log_yield(sql){c.cursor(sql)}}
    24:       end

execute_dui(sql, opts={})

Returns number of rows affected

[Source]

        # File lib/sequel/adapters/informix.rb, line 17
    17:       def execute_dui(sql, opts={})
    18:         synchronize(opts[:server]){|c| log_yield(sql){c.immediate(sql)}}
    19:       end

query(sql, opts={})

Alias for execute

[Validate]